Bug 1014491 - support for configurable attachment of VirtIO-SCSI controller
support for configurable attachment of VirtIO-SCSI controller
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.0
Assigned To: Daniel Erez
Aharon Canan
storage
:
Depends On:
Blocks: 1019461 3.3snap1
  Show dependency treegraph
 
Reported: 2013-10-02 04:33 EDT by Daniel Erez
Modified: 2016-02-10 13:34 EST (History)
8 users (show)

See Also:
Fixed In Version: is20.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 17:11:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
amureini: Triaged+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 18638 None None None Never
oVirt gerrit 19154 None None None Never
oVirt gerrit 19636 None None None Never
oVirt gerrit 19637 None None None Never
oVirt gerrit 19638 None None None Never
oVirt gerrit 19798 None None None Never
oVirt gerrit 19799 None None None Never
oVirt gerrit 19800 None None None Never
oVirt gerrit 19801 None None None Never
oVirt gerrit 20247 None None None Never

  None (edit)
Description Daniel Erez 2013-10-02 04:33:05 EDT
A new 'VirtIO-SCSI enabled' flag should be introduced in order to support enabling/diasabling VirtIO-SCSI controller attachment (on VM level).

When enabled, a controller is attached automatically when running the VM.
That way, hot-plugging a disk attached with VirtIO-SCSI interface is applicable.
When disabled, all VirtIO-SCSI functionality is blocked for the relevant VM (from UI/backend).

Note: for cluster >= 3.3, the flag is defaulted to true.
Comment 3 Aharon Canan 2013-11-27 09:28:25 EST
verified both rest and GUI using is24.2

using restAPI
-----------------
<vm>
   <cluster><name>ISCSI</name></cluster>
   <template><name>Blank</name></template>
   <name>Vm04</name>
   <virtio_scsi enabled="false"/>
</vm>


in case false we can't attach virtio-scsi disk, 

http://www.ovirt.org/Features/Virtio-SCSI
Comment 4 Itamar Heim 2014-01-21 17:11:13 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.